# DataExchange
TKSTEPBase
StepBasic

# StepBasic_DateTimeRole Class Reference

`#include <StepBasic_DateTimeRole.hxx>`

## Public Member Functions

Standard_EXPORT | StepBasic_DateTimeRole ()
| Returns a DateTimeRole .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | name

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_DateTimeRole::StepBasic_DateTimeRole | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_DateTimeRole::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void StepBasic_DateTimeRole::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_DateTimeRole::Name | ( |  | ) | const

Standard_EXPORT void StepBasic_DateTimeRole::SetName | ( | const Handle(TCollection_HAsciiString)& | aName | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepBasic_DateTimeRole::name`[private]`

The documentation for this class was generated from the following file:

- StepBasic_DateTimeRole.hxx